From 1ccba960e39873187a100d8afcee14d59bc88b5f Mon Sep 17 00:00:00 2001
From: Phillip Smith <fukawi2@gmail.com>
Date: Wed, 18 Apr 2012 09:57:01 +1000
Subject: [PATCH] add undocumented IP=no option to net-profiles man page

There is support for IP='no' option in profiles to have the interface be
brought up but assign no addresses. This patch adds documentation of
that option to the man page.
---
 docs/netcfg-profiles.5.txt |    5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/docs/netcfg-profiles.5.txt b/docs/netcfg-profiles.5.txt
index b032c9b..c9a3380 100644
--- a/docs/netcfg-profiles.5.txt
+++ b/docs/netcfg-profiles.5.txt
@@ -71,8 +71,9 @@ This connection method uses the iproute suite of tools and dhcpcd to
 gain an IP address.
 
 +IP+ (required for IPv4)::
-  Can be either `static' or `dhcp'. Static requires at least one of +ADDR+
-  or +IPCFG+.
+  Either `static' or `dhcp'. Set to `no' to have netcfg bring the interface
+  up but assign no addresses. Static requires at least one of +ADDR+ or
+  +IPCFG+.
 
 IPv4 options
 ~~~~~~~~~~~~
-- 
1.7.10

